/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package com.cosmodas.FacadeCosmos;

import com.cosmodas.EntCosmos.Programas;

import java.util.List;
import javax.ejb.Local;

/**
 * @author obper
 */
@Local
public interface ProgramasFacadeLocal {

    void create(Programas programas);

    void edit(Programas programas);

    void remove(Programas programas);

    Programas find(Object id);

    List<Programas> findAll();

    List<Programas> findRange(int[] range);

    int count();

}
